Delete intent rule
curl --request DELETE \
--url https://api-prod.usefini.com/v2/hc-rules/{id}/public \
--header 'Authorization: <authorization>'import requests
url = "https://api-prod.usefini.com/v2/hc-rules/{id}/public"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://api-prod.usefini.com/v2/hc-rules/{id}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Intent Rules
Delete intent rule
Delete an intent rule and its agent assignments.
DELETE
/
v2
/
hc-rules
/
{id}
/
public
Delete intent rule
Deletes an intent rule and removes its agent assignments.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs write scope.Path parameters
string
required
Intent-rule ID to delete.
Response
Returns204 No Content when the delete succeeds.
Errors
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
write scope required for this route.404 Not Found
404 Not Found
The intent rule does not exist in your workspace.
Was this page helpful?
⌘I

